Bug 839166 (CVE-2012-3408)

Summary: CVE-2012-3408 puppet: possible host impersonation when using certificates issues for IP address
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bkearney, katello-internal, k.georgiou, ktdreyer, mmccune, morazi, mrg-program-list, rmillner, tkramer, tmz, vanmeeuwen+fedora
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120710,reported=20120706,source=upstream,cvss2=2.6/AV:N/AC:H/Au:N/C:P/I:N/A:N,fedora-all/puppet=affected,epel-all/puppet=affected,mrg-1/puppet=wontfix,openshift-1/puppet=affected,cloudformscommon-1/puppet=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-12 06:11:55 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 839168, 839171    
Bug Blocks: 767033, 839173    

Description Kurt Seifried 2012-07-11 02:40:42 EDT
From puppet labs: Puppet agents with certnames of IP addresses can be impersonated

This affects Puppet 2.6.16 and 2.7.17

If an authenticated host with a certname of an IP address changes IP
addresses, and a second host assumes the first host's former IP
address, the second host will be treated by the puppet master as the
first one, giving the second host access to the first host's catalog.
Note: This will not be fixed in Puppet versions prior to the forthcoming
3.x. Instead, with this announcement IP-based authentication in
Puppet < 3.x is deprecated.

Resolved in Puppet 2.6.17, 2.7.18
Comment 1 Kurt Seifried 2012-07-11 02:43:31 EDT
Created puppet tracking bugs for this issue

Affects: fedora-17 [bug 839168]
Comment 2 Kurt Seifried 2012-07-11 02:47:56 EDT
Created puppet tracking bugs for this issue

Affects: fedora-16 [bug 839171]
Comment 4 Kurt Seifried 2012-07-11 22:37:25 EDT
External Reference:

http://puppetlabs.com/security/cve/cve-2012-3408/
Comment 5 Tomas Hoger 2012-07-12 06:11:55 EDT
This was only addressed in 2.7.  It was not really fixed, the change rather introduces deprecation warning:

https://github.com/puppetlabs/puppet/commit/ab9150b

No real fix is planned for this issue in puppet 2.x versions.  Hence no update is planned for Red Hat products that include puppet 2.x versions to address this problem.
Comment 6 Fedora Update System 2012-07-27 21:20:27 EDT
puppet-2.7.18-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.